
package com.tmerclub.cloud.flow.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—商品分析VO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public class ProductAnalyseVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long productAnalyseId;

    @Schema(description = "创建日期")
    private Date createDate;

    @Schema(description = "页面编号")
    private Long pageId;

    @Schema(description = "系统类型")
    private Integer systemType;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "访问次数")
    private Long visis;

    @Schema(description = "点击数")
    private Long click;

    @Schema(description = "分享访问次数")
    private Long shareVisit;

    @Schema(description = "下单金额")
    private Double placeOrderAmount;

    @Schema(description = "支付金额")
    private Double payAmount;

    @Schema(description = "加购数量")
    private Integer plusShopCart;

    public Long getProductAnalyseId() {
        return productAnalyseId;
    }

    public void setProductAnalyseId(Long productAnalyseId) {
        this.productAnalyseId = productAnalyseId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public Integer getSystemType() {
        return systemType;
    }

    public void setSystemType(Integer systemType) {
        this.systemType = systemType;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getVisis() {
        return visis;
    }

    public void setVisis(Long visis) {
        this.visis = visis;
    }

    public Long getClick() {
        return click;
    }

    public void setClick(Long click) {
        this.click = click;
    }

    public Long getShareVisit() {
        return shareVisit;
    }

    public void setShareVisit(Long shareVisit) {
        this.shareVisit = shareVisit;
    }

    public Double getPlaceOrderAmount() {
        return placeOrderAmount;
    }

    public void setPlaceOrderAmount(Double placeOrderAmount) {
        this.placeOrderAmount = placeOrderAmount;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getPlusShopCart() {
        return plusShopCart;
    }

    public void setPlusShopCart(Integer plusShopCart) {
        this.plusShopCart = plusShopCart;
    }

    @Override
    public String toString() {
        return "ProductAnalyseVO{" +
                "productAnalyseId=" + productAnalyseId +
                ",createDate=" + createDate +
                ",pageId=" + pageId +
                ",systemType=" + systemType +
                ",spuId=" + spuId +
                ",shopId=" + shopId +
                ",visis=" + visis +
                ",click=" + click +
                ",shareVisit=" + shareVisit +
                ",placeOrderAmount=" + placeOrderAmount +
                ",payAmount=" + payAmount +
                ",plusShopCart=" + plusShopCart +
                '}';
    }
}
